=== debian/control ===
Source: i915-3.19-3.13
Section: kernel
Priority: optional
Maintainer: Robert Hooker <robert.hooker@canonical.com>
XSBC-Original-Maintainer: Jack Leigh <jack.leigh@collabora.com>
Build-Depends: debhelper (>=5), quilt, dh-modaliases

Package: i915-3.19-3.13-source
Architecture: all
Depends: debhelper (>= 5), module-assistant, ${misc:Depends}
Description: Intel i915 video drivers from the mainline kernel,
 backported from the 3.19 series to the 3.13 series.
 .
 This package contains source to be built with module-assistant 
 or kernel-package.

Package: i915-3.19-3.13-dkms
Architecture: all
XB-Modaliases: ${modaliases}
Depends: dkms, linux-headers, ${misc:Depends}
Description: Intel i915 video drivers from the mainline kernel,
 backported from the 3.19 series to the 3.13 series.
 .
 This package contains the source to be built with dkms.
